#include <ihm.h>
#include <klyr.h>

/* CharSet de l'application */
XmStringCharSet cs = (XmStringCharSet) XmSTRING_DEFAULT_CHARSET;


/* Declarations des widgets */
/* ------------------------ */

Widget  top_level;


/* variables pour XWINDOW */
/* ---------------------- */

Display *app_display;
int screen;
Colormap colormap;
XtAppContext p_kar_ctx;

GC	X11_gc;

/* ------------------ */

main(argc, argv)
int  argc;
char *argv[];
{

	/* declarations */
	/* ------------ */

 Arg args[10];
 int n;
#ifndef hpux
 extern void _XEditResCheckMessages();
#endif

 f_co_shm_attach ();    /* Connexion share memory */

/* initialisation d'une application shell et du widget top_level */
/* ------------------------------------------------------------- */
 n = 0;

 XtSetArg(args[n], XmNx, 13); n++;
 XtSetArg(args[n], XmNy, 167); n++;


 top_level = XtAppInitialize (&p_kar_ctx, "Klyric", NULL, 0, &argc, argv, NULL, args,n);

/* widgets modifiables via editres */
#ifndef hpux 
XtAddEventHandler( top_level, (EventMask)0, True, _XEditResCheckMessages, NULL);
#endif
/* Iconic/ Normal */
 XtAddEventHandler (top_level, StructureNotifyMask, False, IconicStateWatcher,
                        (Opaque) NULL);


 app_display = XtDisplay(top_level);
 screen = DefaultScreen(app_display);
 X11_gc    = DefaultGC(app_display, screen);
 colormap = DefaultColormap(app_display, screen);

 f_kar_InitializeColorsAndFonts();
 
 f_klyr_CreateBoard();

 f_klyr_init_klyr_kmus();

 f_klyr_init_klyr_kplay();

/* Application Ready */
 f_co_send (K_CO_TYPE_C6, C6_READY, 0, 0, 0);

 XtRealizeWidget (top_level);

 XtAppMainLoop(p_kar_ctx);

}


