#include <ihm.h>
#include <kmus.h>

/* CharSet de l'application */
XmStringCharSet cs = (XmStringCharSet) XmSTRING_DEFAULT_CHARSET;

WORD bpm, ppm;

/* Declarations des widgets */
/* ------------------------ */

Widget  top_level;


/* variables pour XWINDOW */
/* ---------------------- */

Display *app_display;
int screen;
Colormap colormap;
XtAppContext p_kar_ctx;

GC	X11_gc;

/* ------------------ */

main(argc, argv)
int  argc;
char *argv[];
{

	/* declarations */
	/* ------------ */

 Arg args[10];
 int n;
#ifndef hpux
 extern void _XEditResCheckMessages();
#endif
 f_co_shm_attach ();    /* Connexion share memory */
 f_kmus_connect_kdir(); /* Connexion a kdir */

/* initialisation d'une application shell et du widget top_level */
/* ------------------------------------------------------------- */
 n = 0;
 XtSetArg(args[n], XmNx, 10); n++;
 XtSetArg(args[n], XmNy, 10); n++;
 XtSetArg(args[n], XmNallowShellResize, True); n++;


 top_level = XtAppInitialize (&p_kar_ctx, "Kmusic", NULL, 0, &argc, argv, NULL, args,n);

/* widgets modifiables via editres */
#ifndef hpux
 XtAddEventHandler( top_level, (EventMask)0, True, _XEditResCheckMessages, NULL);
#endif

 XtSetSensitive(top_level, False); 


 app_display = XtDisplay(top_level);
 screen = DefaultScreen(app_display);
 X11_gc    = DefaultGC(app_display, screen);
 colormap = DefaultColormap(app_display, screen);

 f_kar_InitializeColorsAndFonts();
 
 f_kmus_CreateBoard();

 f_kmus_init_kmus_kdir();

 f_kmus_launch_kplay();

 f_kmus_launch_klyr();

 XtRealizeWidget (top_level);

 XtAppMainLoop(p_kar_ctx);


}


