/* Version Nouvelle */

#include <ihm.h>
#include <kdir.h>

/* CharSet de l'application */
XmStringCharSet cs = (XmStringCharSet) XmSTRING_DEFAULT_CHARSET;

/* Declarations des widgets */
/* ------------------------ */

Widget  top_level;

char kdir_ressource_file[200];

/* variables pour XWINDOW */
/* ---------------------- */

Display *app_display;
int screen;
Colormap colormap;
XtAppContext p_kar_ctx;

GC	X11_gc;

/* ------------------ */

main(argc, argv)
int  argc;
char *argv[];
{

	/* declarations */
	/* ------------ */

 Arg args[10];
 int n;
#ifndef hpux
 extern void _XEditResCheckMessages();
#endif
 int id;

 sprintf (kdir_ressource_file, "%s/.karalinrc", getenv ("HOME"));
Dprintf (stderr, "\nkdir_ressource_file [%s]\n", kdir_ressource_file);

 unlink (K_CO_ZONE1_PATH);
 id = creat (K_CO_ZONE1_PATH, 0000777);
 fchmod (id, 0000777);

/* initialisation d'une application shell et du widget top_level */
/* ------------------------------------------------------------- */
 n = 0;

 XtSetArg(args[n], XmNx, 13); n++;
 XtSetArg(args[n], XmNy, 167); n++;

 top_level = XtAppInitialize (&p_kar_ctx, "Kdir", NULL, 0, &argc, argv, NULL, args,n);

/* widgets modifiables via editres */
#ifndef hpux
 XtAddEventHandler( top_level, (EventMask)0, True, _XEditResCheckMessages, NULL);
#endif

/* Iconic/ Normal */
 XtAddEventHandler (top_level, StructureNotifyMask, False, IconicStateWatcher,
                        (Opaque) NULL);


 app_display = XtDisplay(top_level);
 screen = DefaultScreen(app_display);
 X11_gc    = DefaultGC(app_display, screen);
 colormap = DefaultColormap(app_display, screen);

 f_kar_InitializeColorsAndFonts();

 f_kdir_init_shm();

 f_kdir_launch_kmusic();

 f_kdir_CreateBoard();

 XtRealizeWidget (top_level);

 XtAppMainLoop(p_kar_ctx);

}


