#include <stdio.h>
#include <string.h>
#include <ihm.h>
#include <kmus.h>

static XtIntervalId tempo_plus_moins;
static unsigned long interval;

#define VOLUME_INTERVAL 500

void f_volume(widget, tag, call_data)
Widget widget;
XtPointer tag;
XtPointer call_data;
{
  p_co_share_tables->volume = 0x70;
  aff_vol();
}


/*void*/ aff_vol(void)
{
char  llabel[80];
        sprintf(llabel,"Volume %d %%",(p_co_share_tables->volume*100)/127);
        aff_label(llabel);
}


void f_vol_moinss(void)
{
  if (p_co_share_tables->volume > 0)
  p_co_share_tables->volume --;
  aff_vol();
}


void f_vol_tempo_moins(client,id)
XtPointer client;
XtIntervalId id;
{
  f_vol_moinss();
  if (interval > 100) interval -= 100;
  tempo_plus_moins = XtAppAddTimeOut(p_kar_ctx,interval,f_vol_tempo_moins,NULL);
}

void f_vol_moinss_arm(widget, tag, call_data)
Widget widget;
XtPointer tag;
XtPointer call_data;
{
  f_vol_moinss();
  interval = VOLUME_INTERVAL;
  tempo_plus_moins = XtAppAddTimeOut(p_kar_ctx,VOLUME_INTERVAL,f_vol_tempo_moins,NULL);
}

void f_vol_moinss_disarm(widget, tag, call_data)
Widget widget;
XtPointer tag;
XtPointer call_data;
{
  XtRemoveTimeOut(tempo_plus_moins);
}


void f_vol_pluss(void)
{
  if (p_co_share_tables->volume < 0x7F)
  p_co_share_tables->volume ++;
  aff_vol();
}


void f_vol_tempo_pluss(client,id)
XtPointer client;
XtIntervalId id;
{
  f_vol_pluss();
  if (interval > 100) interval -= 100;
  tempo_plus_moins = XtAppAddTimeOut(p_kar_ctx,interval,f_vol_tempo_pluss,NULL);
}

void f_vol_pluss_arm(widget, tag, call_data)
Widget widget;
XtPointer tag;
XtPointer call_data;
{
  f_vol_pluss();
  interval = VOLUME_INTERVAL;
  tempo_plus_moins = XtAppAddTimeOut(p_kar_ctx,interval,f_vol_tempo_pluss,NULL);
}

void f_vol_pluss_disarm(widget, tag, call_data)
Widget widget;
XtPointer tag;
XtPointer call_data;
{
  XtRemoveTimeOut(tempo_plus_moins);
}

